# The havingOdds filter and has\_odds property

### What does the filter do?

The filter does exactly what you think it does. It shows if the fixture has odds.

It can be applied to all fixture entities.

### How to apply the filter?

You can apply the filter as follows:&#x20;

`&filters=havingOdds`

{% hint style="info" %}
If you want to filter on fixtures having Premium Odds, you can use `&filters=havingPremiumOdds`. The field indicating fixtures having Premium Odds is called `has_premium_odds`.
{% endhint %}

### What if I want the opposite result?

You can also switch the value of the boolean to check for fixtures that don’t have odds. Use `&filters=havingOdds:false` to get the exact opposite result. The fixtures without odds will be included in the response you receive from our API.

### Why would I use the `havingOdds` filter?

You can separate the fixtures that do and don’t have odds. You don’t have to create your own filter and keep refreshing. You can now use one (or two) requests to separate the fixtures and get the ones you need.

### Make the requests and evaluate the response

So you can filter both ways. You can find all fixtures with odds, or you can find all fixtures without odds. Let’s look at an example of how to do this exactly.<br>

```
https://api.sportmonks.com/v3/football/livescores/inplay?api_token=YOUR_TOKEN
```

Now we are simply adding `&filters=havingOdds`, and we will receive all live fixtures with odds.

{% tabs %}
{% tab title="Request" %}

```
https://api.sportmonks.com/v3/football/livescores/inplay?api_token=YOUR_TOKEN&filters=havingOdds
```

Premium Odds:

```
https://api.sportmonks.com/v3/football/livescores/inplay?api_token=YOUR_TOKEN&filters=havingPremiumOdds
```

{% endtab %}

{% tab title="Response (havingOdds)" %}

```json
{
    "data": [
        {
            "id": 19682267,
            "sport_id": 1,
            "league_id": 1363,
            "season_id": 26766,
            "stage_id": 77479567,
            "group_id": null,
            "aggregate_id": null,
            "round_id": null,
            "state_id": 9,
            "venue_id": 2678,
            "name": "South Korea W vs Zambia W",
            "starting_at": "2026-04-18 19:00:00",
            "result_info": null,
            "leg": "1/1",
            "details": null,
            "length": 90,
            "placeholder": false,
            "has_odds": true,
            "has_premium_odds": false,
            "starting_at_timestamp": 1776538800
        },
        {
            "id": 19648834,
            "sport_id": 1,
            "league_id": 3545,
            "season_id": 26902,
            "stage_id": 77480139,
            "group_id": null,
            "aggregate_id": null,
            "round_id": null,
            "state_id": 22,
            "venue_id": 712,
            "name": "South Melbourne vs Tahiti United",
            "starting_at": "2026-04-21 07:00:00",
            "result_info": null,
            "leg": "1/1",
            "details": null,
            "length": 90,
            "placeholder": false,
            "has_odds": true,
            "has_premium_odds": true,
            "starting_at_timestamp": 1776754800
        },
        // ...
```

{% endtab %}

{% tab title="Response (havingPremiumOdds)" %}

```json
{
    "data": [
        {
            "id": 19573914,
            "sport_id": 1,
            "league_id": 2865,
            "season_id": 26478,
            "stage_id": 77478145,
            "group_id": null,
            "aggregate_id": null,
            "round_id": 389382,
            "state_id": 2,
            "venue_id": 8325,
            "name": "Polokwane City U23 vs Mamelodi Sundowns U23",
            "starting_at": "2026-04-21 08:00:00",
            "result_info": null,
            "leg": "1/1",
            "details": null,
            "length": 90,
            "placeholder": false,
            "has_odds": true,
            "has_premium_odds": true,
            "starting_at_timestamp": 1776758400
        },
        {
            "id": 19648834,
            "sport_id": 1,
            "league_id": 3545,
            "season_id": 26902,
            "stage_id": 77480139,
            "group_id": null,
            "aggregate_id": null,
            "round_id": null,
            "state_id": 22,
            "venue_id": 712,
            "name": "South Melbourne vs Tahiti United",
            "starting_at": "2026-04-21 07:00:00",
            "result_info": null,
            "leg": "1/1",
            "details": null,
            "length": 90,
            "placeholder": false,
            "has_odds": true,
            "has_premium_odds": true,
            "starting_at_timestamp": 1776754800
        },
        // ...
```

{% endtab %}
{% endtabs %}

Let’s find out about the opposite. The request is done at exactly the same time, but the response shows different matches.

{% tabs %}
{% tab title="Request" %}

```
https://api.sportmonks.com/v3/football/livescores/inplay?api_token=YOUR_TOKEN&filters=havingOdds:false
```

Premium Odds:

```
https://api.sportmonks.com/v3/football/livescores/inplay?api_token=YOUR_TOKEN&filters=havingPremiumOdds:false
```

{% endtab %}

{% tab title="Response (havingOdds)" %}

```json
{
    "data": [
        {
            "id": 19541095,
            "sport_id": 1,
            "league_id": 3003,
            "season_id": 26272,
            "stage_id": 77477768,
            "group_id": null,
            "aggregate_id": null,
            "round_id": 385440,
            "state_id": 3,
            "venue_id": null,
            "name": "Fiorentina U18 vs Frosinone U18",
            "starting_at": "2026-04-19 15:00:00",
            "result_info": null,
            "leg": "1/1",
            "details": null,
            "length": 90,
            "placeholder": false,
            "has_odds": false,
            "has_premium_odds": false,
            "starting_at_timestamp": 1776610800
        },
        // ...
```

{% endtab %}

{% tab title="Response (havingPremiumOdds)" %}

```json
{
    "data": [
        {
            "id": 19682267,
            "sport_id": 1,
            "league_id": 1363,
            "season_id": 26766,
            "stage_id": 77479567,
            "group_id": null,
            "aggregate_id": null,
            "round_id": null,
            "state_id": 9,
            "venue_id": 2678,
            "name": "South Korea W vs Zambia W",
            "starting_at": "2026-04-18 19:00:00",
            "result_info": null,
            "leg": "1/1",
            "details": null,
            "length": 90,
            "placeholder": false,
            "has_odds": true,
            "has_premium_odds": false,
            "starting_at_timestamp": 1776538800
        },
        // ...
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportmonks.com/v3/tutorials-and-guides/tutorials/odds-and-predictions/the-havingodds-filter-and-has_odds-property.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
